---
Created: <% tp.file.creation_date("YYYY-MM-DD ddd") %>
Updated: 
tags:
  - 周报
---
<%*
let week = moment(tp.file.title);

// # 2023 Week 1
// tR += '# ' + week.format('gggg [Week] w') + '';

// 2023 / Q1 / January
tR += '[[' + week.format('[Haina/Yearly/]YYYY|YYYY') + ']] / ';
tR += '[[' + week.format('[Haina/Quarterly/]YYYY-[Q]Q|[Q]Q') + ']] / ';
tR += '[[' + week.format('[Haina/Monthly/]YYYY-MM|MMMM') + ']]';
// If the week crosses a month
// 2022 / Q4 / December - 2023 / Q1 / January
if (week.format('M') != week.endOf('week').format('M')) {
    tR += ' - ';
    tR += '[[' + week.format('[Haina/Yearly/]YYYY|YYYY') + ']] / ';
    tR += '[[' + week.format('[Haina/Quarterly/]YYYY-[Q]Q|[Q]Q') + ']] / ';
    tR += '[[' + week.format('[Haina/Monthly/]YYYY-MM|MMMM') + ']]';
}
tR += ' / ';

// ❮ Week 52 | Week 1 | Week 2 ❯
tR += '❮ [[' + week.subtract(1, 'weeks').format('[Haina/Weekly/]gggg/gggg-[W]ww|[Week] w') + ']]';
tR += ' | ' + week.add(1, 'weeks').format('[Week] w') + ' | ';
tR += '[[' + week.add(1, 'weeks').format('[Haina/Weekly/]gggg/gggg-[W]ww|[Week] w') + ']] ❯';
week.subtract(1, 'weeks');
tR += ' / ';

week.subtract(1, 'weeks'); // 上周
// Monday - Tuesday - Wednesday - Thursday - Friday - Saturday - Sunday
for (let day = 0; day < 7; day++) {
    tR += '[[' + week.weekday(day).format('[Haina/Daily/]YYYY-MM-DD|DD ddd') + ']]';
    if (day < 6) {
        tR += ' - ';
    }
}
week.add(1, 'weeks');
tR += ' ❯ ';
for (let day = 0; day < 2; day++) {
    tR += '[[' + week.weekday(day).format('[Haina/Daily/]YYYY-MM-DD|DD ddd') + ']]';
    tR += ' - ';
}
%>

---

*<%* tR += moment(tp.file.title).weekday(1).format('YYYY-MM-DD ddd') %>*  

## 上周工作

### 重点工作
####
1. <% tp.file.cursor(1) %>

### 维护工作
#### 
1. 

## 本周计划
1. 

> [!info]- 最近
>
> ```tasks
> (not done) OR (done after <% moment(tp.file.title).weekday(1).subtract(14, "days").format('YYYY-MM-DD') %>)
> path includes Haina
> filter by function task.file.path.includes('项目')
> filter by function task.file.property('Updated') > '<% moment(tp.file.title).startOf('month').subtract(1, "month").format('YYYY-MM-DD') %>'
> group by heading
> ```

---

## Priority

> [!danger] 🔴重要且紧急⏫🔺
>
> ```tasks
> (not done) OR (done after <% moment(tp.file.title).weekday(1).subtract(7, "days").format('YYYY-MM-DD') %>)
> path includes Haina
> path includes Weekly/2025
> filter by function (task.priorityName === 'High' || task.priorityName === 'Highest')
> sort by path reverse
> sort by done
> sort by heading
> group by heading
> ```

> [!warning] 🟠不重要紧急🔼
>
> ```tasks
> (not done) OR (done after <% moment(tp.file.title).weekday(1).subtract(7, "days").format('YYYY-MM-DD') %>)
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> (filter by function task.priorityName === 'Medium')
> sort by path reverse
> sort by done
> sort by heading
> group by heading
> ```

> [!important] 🟡重要不紧急🔽
>
> ```tasks
> (not done) OR (done after <% moment(tp.file.title).weekday(1).subtract(7, "days").format('YYYY-MM-DD') %>)
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> (filter by function task.priorityName === 'Normal')
> sort by path reverse
> sort by done
> sort by heading
> group by heading
> ```

> [!info] 🟢不重要不紧急🔽⏬
>
> ```tasks
> (not done) OR (done after <% moment(tp.file.title).weekday(1).subtract(7, "days").format('YYYY-MM-DD') %>)
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> filter by function (task.priorityName === 'Lowest' || task.priorityName === 'Low' || task.priorityName === 'None')
> sort by path reverse
> sort by done
> sort by heading
> ```

> [!info]- 转移
>
> ```tasks
> (not done) OR (done after 2025-04-29)
> path includes Haina
> path includes Weekly/2025
> filter by function (task.status.name === 'quote')
> group by heading
> ``` 

---

## Done

> [!check] Latest 2 weeks
>
> ```tasks
> done after <% moment(tp.file.title).weekday(1).subtract(14, "days").format('YYYY-MM-DD') %>
> path includes Haina
> sort by path reverse
> sort by heading
> group by heading
> ```

> [!todo] Not done
>
> ```tasks
> not done
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> (path includes W<% moment(tp.file.title).subtract(2, 'weeks').format('ww') %>) OR (path includes W<% moment(tp.file.title).subtract(1, 'weeks').format('ww') %> )
> (filter by function task.status.name === 'Todo')
> sort by path reverse
> sort by heading
> ```

> [!todo] In Progress
>
> ```tasks
> not done
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> (filter by function task.status.name === 'incomplete')
> sort by path reverse
> sort by heading
> ```

> [!note] Deferred
>
> ```tasks
> not done
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> filter by function task.status.name === 'forwarded'
> sort by path reverse
> sort by heading
> ```

> [!tip] Idea, Important
>
> ```tasks
> not done
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> filter by function (task.status.name === 'idea' || task.status.name === 'important'|| task.status.name === 'fire')
> sort by path reverse
> sort by heading
> ```

> [!faq] Question
>
> ```tasks
> not done
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> filter by function task.status.name === 'question'
> sort by path reverse
> sort by heading
> ```

> [!fail] Cancelled
>
> ```tasks
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> filter by function task.status.name === 'canceled'
> sort by path reverse
> sort by heading
> ```

> [!todo] Todo
> 暂时不用
> ```tasks--
> not done
> path includes Haina
> path includes Weekly/<% moment(tp.file.title).format('YYYY') %>
> (filter by function task.status.type === 'TODO')
> sort by path reverse
> sort by heading
> ```
