---
Created: 2023-11-22 Wed
Updated: 2023-11-29 17:12 Wed
tags:
---

> [!todo] 需求 @11月21日
> 2. 反馈表模板。因为是想要导游用手机拿给客人填，所以希望实现的效果是：
> a. 方便导游生成反馈表链接，或者在某个节点自动生成链接但是需要方便导游找到，
> b. 按城市、或者按导游生成反馈表
> 如果有什么疑问，欢迎当面沟通，谢谢！
> Zac

## 方案

1. **生成:** HT根据行程计划的 [ 地接:城市 ] 生成相应的客人反馈表
2. **引导:** 反馈表链接打印到地接登机牌上, 由导游向客人出示, 引导客人填写反馈
   - 每个地接城市分别填写, 反馈表的内容由实际行程中的信息组成(酒店, 司服, 导服等)
3. **填写:** 需要签名
4. **数据回收:**
   - 已提交的不可修改或避免重复填写
   - 城市和导游要能够绑定; 即使打印时没有导游信息, 后续也需要能关联到

### 时间

1. [x] 开发 🛫 2023-11-27 📅 2023-12-31 ✅ 2024-01-02
2. [ ] 测试📅 2024-01-15
3. [ ] 上线📅 2024-01-15

| 安排 | 时间              |
| -- | --------------- |
| 开发 | ~ 12.01 ~ 12.31 |
| 测试 | 01.01~01.15     |
| 上线 | 01.15之前         |

### 新的问题

1. 怎么避免导游用自己的手机扫码进去填写或修改?
   - 技术上的限制: 可以考虑(我的观点)
     每个反馈只能提交一次; 从二维码的填写链接进入不可查看; 从邮件中的链接进入可以修改

> [!quote] LYJ
> 要求客人签名可以防止导游自己填写，和国内保持一致即可。

2. 怎么识别时客人扫码进去的还是导游
   - 技术上: 要求客人输入验证: 邮箱或号码的指定几位? 或者验证其他的信息

> [!quote] LYJ
> 如果客人不会扫描等其他原因，允许导游用自己手机打开给客人填写。

---

## 实现

1. **生成:**
   - HT根据行程计划的 [ 团号:地接:城市:导游 ] 生成相应的客人反馈表
   - HT生成反馈表的链接二维码, 和短链接. 要求序列化url字符串
   - 二维码和短链接增加到登机牌
2. **引导:** 反馈表链接打印到地接登机牌上, 由导游向客人出示, 引导客人填写反馈
   - 供应商平台下载, 打印
   - 每个地接城市分别填写, 反馈表的内容由实际行程中的信息组成(酒店, 司服, 导服等)
3. **填写:** 需要签名
   - canvas
4. **数据回收:**
   - 已提交的不可修改或避免重复填写
   - 城市和导游要能够绑定; 即使打印时没有导游信息, 后续也需要能关联到

### 反馈表填写链接

1. 页面提示
2. 团信息
   - 团号,外联,国家/城市,导游名字
3. 反馈表信息
   - 题目: 酒店,司服,导服,行程体验......
   - 评分选项
   - 照片授权
4. 签名
5. 其他反馈信息
