---
Updated: 2023-08-14 15:49 Mon
---

## 目的

- 增强图表显示. 复杂表格信息通过图表输出, 以便更快理解其趋势和联系
- 增强交互性. 用于发现和记录数据在实际业务上的意义.

## 功能

### 数据

1. 业绩数据总览, 维度优化
   - 柱状图
   - 瀑布图
   - 饼图
   - 象限图
2. 顾问数据详情
   - 雷达图
   - 进度覆盖
   - 能力象限图

### 交互

1. 输入
   1. KPI
   2. 注解
2. 输出
   1. 基于用户管理的报表自定义, 组件?

## 技术方案

- Ant V: G2, L7等
- 钉钉应用

## 开发计划

1. 年度业绩看板
   - 前端
     - 时间轴数据.
     - Top
     - 进度: 组/市场/区域/总额
       - 同比
2. 历史业绩峰值
   - 接口
   ```json
   {yearly:{saleAmount,time}, monthly:{saleAmount,time}, ...}
   ```
   - 前端: 合并显示到[1]业绩看板中
3. 业务模块对比: 模块设置由前端初始化配置?
   - 接口:
     1. 各模块业绩数据
     2. 业务模块配置:
        1. 目的地区域: `在华, 海外, 入境`
        2. 业务大类: `传统, 商务`
   - 前端: 条形图/饼图.
4. TOP: `顾问`, `目的地`, `国籍`...
   ```json
   [{name, saleAmount},{name, saleAmount},...]
   ```
   - 接口
     - 首询(月)+预定周期, 成团周期, 团周期 << 国籍/目的地/成员关系...(Top key)?
   - 前端
     - 桑基图/象限图
5. [4]的详情页面. 基本业绩数据+key+key维度
   ```json
   {dealCount, dealAmount, replyRate, quoteRate, avgDealValue, ...}
   ```
6. KPI配置
   - KPI对象 `总额, 各组, 市场, 顾问个人, 目的地`...
   - 周期
   - 周期类型 `成交日期, 走团日期`
   - KPI key 或者列扩展 `订单、成团、走团、成型率、目标客户订单成型率、表扬率、首报回复率、报价率、订单到首邮发送时间、微信/WA回复率和回复效率`...
   - 数值
7. 基于用户管理的自定义报表, 图标组件化
   - 自定义的对比列, 使用散点图等, 以判断维度相关性
