---
Created: 2025-02-24 Mon
Updated: 2025-03-06 16:34 Thu
---



## 1

系统从客人预定表单中提取信息，并直接与AI助手进行交互，不需要顾问介入：

```mermaid
sequenceDiagram
    participant Guest
    participant System
    participant AIAssistant

    Guest->>System: 提交预定表单信息
    System->>System: 自动提取信息
    System->>AIAssistant: 发送客人信息
    AIAssistant->>System: 返回 session id
    System->>Guest: 返回 session id
    System->>Guest: 问候客人
    Guest->>System: 发送消息
    System->>AIAssistant: 处理会话
    AIAssistant->>System: 返回回复
    System->>Guest: 返回回复
    loop 多轮对话
        Guest->>System: 发送消息
        System->>AIAssistant: 处理会话
        AIAssistant->>System: 返回回复
        System->>Guest: 返回回复
    end
```

## 2

好的，为了更直观地展示各个角色之间的交互，我们可以使用时序图（Sequence Diagram）。时序图能够清晰地展示角色之间的消息传递和交互流程。以下是根据你的描述生成的时序图：

```mermaid
sequenceDiagram
    participant Guest
    participant System
    participant Advisor
    participant AIAssistant

    Guest->>System: 发送消息
    System->>Advisor: 检查账号是否托管
    Advisor->>System: 是托管账号
    System->>AIAssistant: 生成新会话
    AIAssistant->>System: 返回新会话ID
    System->>Guest: 问候客人
    Guest->>System: 回复问候
    System->>AIAssistant: 收到客人回复
    AIAssistant->>System: 托管会话
    AIAssistant->>System: 返回 session id
    System->>Guest: 返回 session id
    Guest->>System: 发送后续消息
    System->>AIAssistant: 多轮对话
    AIAssistant->>System: 处理会话
    System->>Guest: 返回回复
    loop 多轮对话
        Guest->>System: 发送消息
        System->>AIAssistant: 处理会话
        AIAssistant->>System: 返回回复
        System->>Guest: 返回回复
    end
```

这个时序图清晰地展示了用户（Guest）、系统（System）、顾问（Advisor）和AI助手（AI Assistant）之间的交互流程，包括生成新会话、问候客人、AI托管会话以及多轮对话的管理。每个角色之间的消息传递用箭头表示，便于理解。
